
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>请教CSS中的position:relative;的作用。 / iVAN</title>

    <meta name="description" content="请教CSS中的position:relative;的作用。 问题描述 对于css中的position:relative;我始终搞不明白它是什么意思,有什么作用?对于position的其它几个属性,我都搞懂了引用 解决方案 &quot;对于页面中一个static的div#demo,我想让这个#demo里的一个div#sub相对于#demo定位在右上角的某个地方,应该是用这个position:relative这个吧,然后再加上top,right给限制一下.我理解得没有错吧? &quot;首先对你疑惑的地方,我先解答一下:position的默认值是static ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">请教CSS中的position:relative;的作用。</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>对于css中的position:relative;我始终搞不明白它是什么意思，有什么作用？对于position的其它几个属性，我都搞懂了引用<br />
<h2>解决方案</h2>
<p>"对于页面中一个static的div#demo，我想让这个#demo里的一个div#sub相对于#demo定位在右上角的某个地方，应该是用这个position:relative这个吧，然后再加上top,right给限制一下。我理解得没有错吧? "首先对你疑惑的地方，我先解答一下：position的默认值是static，（也就是说对于任意一个元素，如果没有定义它的position属性，那么它的position:static）如果你想让这个#demo里的一个div#sub相对于#demo定位在右上角的某个地方，应该给#demo相对定位，#sub绝对定位。absolute是相对于自己最近的父元素来定位的，如果你不给#demo相对定位，那么#sub的绝对定位就是相对于body来定位的。relative是相对于自己来定位的，例如：#demo{position:relative;top:-50px;},这时#demo会在相对于它原来的位置上移50px。另：relative 不脱离文档流，absolute 脱离文档流。也就是说：relative 的元素尽管表面上看到它偏离了原来的位置，但它实际上在文档流中还是没变。absolute的元素不仅位置改变了，同时也脱离了文档流。写了个例子如下：&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="content-type" content="text/html; charset=utf-8"&gt;&lt;title&gt;position&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--body{font-size:12px;margin:0 auto;}div#demo{position:relative;border:1px solid #000;margin:50px;top:-50px;line-height:18px;overflow:hidden;clear:both;height:1%;}div#sub{position:absolute;right:10px;top:10px;}div.relative{position:relative;left:400px;top:-20px;}div.static,div.fixed,div.absolute,div.relative{width:300px;}div.static{background-color:#bbb;position:static;}div.fixed{background-color:#ffc0cb;}div.absolute{background-color:#b0c4de;}div.relative{background-color:#ffe4e1;}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div id="demo"&gt;&lt;div class="static"&gt;static: 默认值。无特殊定位，对象遵循HTML定位规则 &lt;/div&gt;&lt;div id="sub" class="absolute"&gt;absolute: 将对象从文档流中拖出,使用left,right,top,bottom 等属性相对于其最接近的一个最有定位设置的父对象进行绝对定位。如果不存在这样的父对象,则依据body对象。而其层叠通过z-index属性定义 &lt;/div&gt;&lt;div class="fixed"&gt;fixed:未支持。对象定位遵从绝对(absolute)方式。但是要遵守一些规范 &lt;/div&gt;&lt;div class="relative"&gt;relative:对象不可层叠，但将依据 left,right,top,bottom 等属性在正常文档流中偏移位置 &lt;/div&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;<br />解决方案二：<br />很细致<br />解决方案三：<br />position:relative; 他的意思是绝对相对定位，他是参照父级的原始点为原始点，无父级则以BODY的原始点为原始点，配合TRBL进行定位，当父级内有padding等CSS属性时，当前级的原始点则参照父级内容区的原始点进行定位.relative和absolute的另外一个很重要的区别就是当被定义成absolute的对象被移出了，那么他原来的位置也就不存在了， 如果被定义成relative的对象被移出了 他原来的位置还在，别的元素就不能替代这个位置.<br />解决方案四：<br />&lt;html&gt;&lt;head&gt;&lt;title&gt; position &lt;/title&gt;&lt;style&gt;body { margin: 0px; padding: 0px; color: white; text-align: right; }.box { width: 50px; border: dotted yellow; }.square { width: 100px; height: 100px; }.r { background-color: red; }.g { background-color: green; }.b { background-color: blue; }#l { float: left; }#r { float: right; }#abs { position: absolute; top: 150px; left: 50px; }#rel { position: relative; top: 150px; left: -50px; }&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div class="box" id="l"&gt;&lt;div class="r square" id="abs"&gt;R&lt;/div&gt;&lt;div class="g square""&gt;G&lt;/div&gt;&lt;div class="b square"&gt;B&lt;/div&gt;&lt;/div&gt;&lt;div class="box" id="r"&gt;&lt;div class="r square" id="rel"&gt;R&lt;/div&gt;&lt;div class="g square"&gt;G&lt;/div&gt;&lt;div class="b square"&gt;B&lt;/div&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;运行之 absolute 会把元素彻底移出文本流 relative 占座儿<br />解决方案五：<br />相对定位有两个作用：1、在保证元素原始占位不变的情况下，偏移元素，这个有很多地方用得到，比如微调元素的位置，还有就是有种居中的实现方式就是利用了这一点；2、作为子元素的定位父元素，也就是说，如果某个元素相对定位了，那其下的子孙元素，在没有其他定位元素隔离的情况下，将以这个父元素的包围框为基准做绝对定位。<br />解决方案六：<br />从应用的角度来说，relative常用于包含有absolute元素的容器元素上。absolute元素默认以body做为容器元素进行绝对定位。如果你想在页面一个特定区域进行绝对定位，就可以在absolute元素外包裹一层容器元素应用relative样式。<br />解决方案七：<br />一下内容摘选于:http://www.blueidea.com/tech/web/2007/4601.asp 有时间自己去详细看看,详细你会明白的.1．定位的专业解释相对定位（relative）：对象不可层叠，依据left，right，top，bottom等属性在正常文档流中偏移自身位置。同样可以用z-index分层设计。2．定位的形象解释自私的相对定位（relative）相对定位一个最大特点是：自己通过定位跑开了还占用着原来的位置，不会让给他周围的诸如文本流之类的对象。相对定位也比较独立，做什么事它自己说了算，要定位的时候，它是以自己本身所在位置偏移的（相对对象本身偏移）。再拿前边作比如来解，那么此时西瓜似乎是有魔法的，如果西瓜通过相对定位在水桶中偏移了你会看到一个现实生活中不存在的现象：水中有一个地方水凹下去了，周围的水不能填补它，西瓜看起来在旁边，如果搅动一下桶中的水，那个凹的位置会发现改变（文本流对相对定位对象还存在影响），但是凹处到西瓜出现的距离始终保持一致。可见文本流与它之间还会互相影响，因为对象并没有真正脱离文本流，就像有两个人在同一层楼水平移动的过程中会有碰头的机会。实例强化对定位属性的理解相对定位对象会占据它原来位置，在下面实例中，没有设定相对定位前，绿色小盒子是在蓝色盒子左上角的，之前也设定了绿色小盒子的浮动方式为左浮动，可以看到文本环绕在它右边，但是后来用相对定位方法把绿色小盒子重定位到外面去了，它还占着自己原来位置，因为你还可以看到文本流没有发生自动填补流动。因此这种直接的相对定位方法较少用，因为重定位对象后原来位置空了一块。相对定位常与绝对定位结合用，一般是给父级设定相对定位方式，子级元素就可以相对它进行方便的绝对定位了（请注意看后面的实例）。&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;&lt;title&gt;相对定位对象会占据原有位置&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--body { margin:0px; font-size: 9pt; line-height:12pt; margin-top: 150px; margin-left: 150px;}.box1 { background-color: #3CF; height: 200px; width: 200px;}.box2 { background-color: #6C6; height: 100px; width: 100px; position: relative; float: left; top:-120px;}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div class="box1"&gt;  &lt;div class="box2"&gt;&lt;/div&gt;[相对定位对象会占据原有位置]现在绿色小盒子是以子盒子形式存在蓝色大盒子中，并设定了浮动方式为左浮动，所以这些文字能环绕在它右边，当绿色小盒子用相对定位方法重定位到外边去了，文字还是不能流入它的区域，即左上角空白区域，那是因为绿色盒子还占用着它原来位置。&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;相对定位的对象不可以重叠。这一点也许比较难理解，先来这样理解吧，因为相对定位的对像没有脱离文本流，就像两个还是住在同一层楼的人，任何时候，他们脚下踩的地方不可能被另一个人踩着的，如果可以就意味着两个人共享一块地方了。在下面的实例中，两个小盒子都刚好排在大盒子上方，所以在大盒子中输入的文字被挤到了下面。上面两个盒子我再用相对定位的方法对调了它们的位置，当前它们下方的空间其实不是自己的，也正因为它们没有重叠，所以盒子上方还是有两个盒子占用的空间，下面文字无法向上流动（我已对盒子设定了浮动属性的了，如果不设定，即使有空间文本也不会往上流，上面盒子是块级元素，会独立占据一行）。&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;&lt;title&gt;相对定位对象不可层叠&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--body { margin:0px; font-size: 9pt; line-height:12pt; margin-top: 150px; margin-left: 150px;}.box1 { background-color: #33CCFF; height: 200px; width: 210px; padding:5px;}.box2 { background-color: #66CC66; height: 100px; width: 100px; position: relative; float: left; left:100px;}.box3 { background-color: #CC99FF; height: 100px; width: 100px; position: relative; float: left; right:100px;}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div class="box1"&gt;  &lt;div class="box2"&gt;我家在左边&lt;/div&gt;  &lt;div class="box3"&gt;我家在右边&lt;/div&gt;  相对定位对象是在正常文本流中移动的，所以它的存在还是会影响文本流的布局， 如果是绝对定位，这些文本应向上流入上方两个盒子的底部了。&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;给包含块一个高度，或者说给定位对象的父级设定一个高度。不然也许显示的结果并不是你想要的。在下面的例子中，如果你本意要实现下面效果：把小盒子在父盒子中的左上角垂直往下偏移，上方留出一块区域，如果你删除了box1的高度会怎么样呢？自己测试一下吧。&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;&lt;title&gt;给包含块一个高度&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--body { margin:0px; font-size: 9pt; line-height:12pt; margin-top: 150px; margin-left: 150px;}.box1 { background-color: #33CCFF; width: 200px;        height: 200px;/*如果不设定这个高度，也许显示的结果并不是你想要的*/ }.box2 { background-color: #CC99FF; height: 100px; width: 100px; position:relative; bottom:-100px;}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div class="box1"&gt;  &lt;div class="box2"&gt;&lt;/div&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;放置相对定位对像到可视区外不会出现滚动条。此现象很好理解，因为相对定位对象原来位置没有变，原来位置没有出去滚动条就不会出现。在下面实例中，如果你缩小浏览器窗口，相对定位的对象还会出现完全消失的情况呢。&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;&lt;title&gt;放置相对定位对像到可视区外不会出现滚动条&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--body { margin:0px; font-size: 9pt; line-height:13pt;}.box{ background-color: #996699; height: 200px; width: 270px; background-image: url(http://farm1.static.flickr.com/48/172522117_410a1e87c1_m.jpg); background-repeat: no-repeat; background-position: center center; position: relative; left: 900px;}.box2{ height: 200px; width: 270px; position:absolute; border: 1px dashed #996699;}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div class="box2"&gt;虚线框是右边盒子原来的位置，即用了相对定位后，把对象重新定位到了右边，但对象的位置其实还在这里，或者说对象实际上并没有越出浏览器可视区域，所以不会出现滚动条。&lt;br /&gt;我说过相对定位的的盒子原有位置是不会被占用的，但我为什么可以在这里写说明呢，这是因为我用了绝对定位，我只是为了方便说明才这样做的，请不要误解了。&lt;/div&gt;&lt;div class="box"&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;定位的特殊值情况。如果定位设置是这样的：position:relative ，right:200px， left:10px会出现什么情况呢？一边叫对象向右偏移10px，另一边又叫对象向左偏移200px，到底是听那边的呢，还是那个先，那个后呢。针对这种矛盾情况，CSS规定只听左边的left，而右边怎么设置都被重定为-left,即-left =right。上下值top与bottom矛盾的话，就以top为准，所以在下面的实例中，你如何改变right的值，对象位置不会发生改变的。&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;&lt;title&gt;定位的特殊值情况&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--body { margin:0px; font-size: 9pt; line-height:12pt; margin-top: 150px; margin-left: 150px;}.box1 { background-color: #33CCFF; width: 200px; height: 200px;}.box2 { background-color: #CC99FF; height: 100px; width: 100px; position:relative; right:200px;/*此值总被认为是-left=-10px,所以你怎么改它都不会影响到布局*/ left:10px;/*这里设定了两个定位值，但是它们是矛盾的，所以此时将以左边为准，如果是上下类型错误，则以上边定位数值为准*/}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;div class="box1"&gt;  &lt;div class="box2"&gt;&lt;/div&gt;&lt;/div&gt;&lt;/body&gt;&lt;/html&gt;综合实例见证定位的魅力&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;&lt;html xmlns="http://www.w3.org/1999/xhtml"&gt;&lt;head&gt;&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;&lt;title&gt;相对定位和绝对定位实例--作者：唐国辉&lt;/title&gt;&lt;style type="text/css"&gt;&lt;!--*{ margin:0px; padding:0px;}body { margin:10px; font-size: 13px;}a:link { color: #666; text-decoration: none;/*去除链接下划线*/}a:visited { color: #666; text-decoration: none;}a:hover { color: #F90;}h3 { color: #FFF; background-color: #F90; width: 100px; padding-top:3px; text-align:center;}ul { width: 300px; border-top: 1px solid #F60;/*使其上边有一线条，与标题h3吻合*/}ul li { padding:5px; border-bottom: 1px solid #CCC; list-style:none;/*去除列表样式，这对于标准浏览很重要*/}a { position: relative;/*设置其定位方法为相对定位，等一下内部信息面板就可以相对它定位*/ display:block;/*让链接以块状呈现，这样不用点中链接文字就可以响应链接*/}a div { display: none;/*初始化信息面板不显示*/}a:hover {background:#fff;}/*IE7以下版本A状态伪类bug*/a:hover div { position: absolute; padding:5px; display:block; width: 245px;/*只给出宽度，高让它随内容多少自动调整*/ left:150px;/*这是相对父级A的定位*/ top: 20px; border: 1px solid rgb(91,185,233); background-color: rgb(228,246,255); z-index:999;/*把信息面板提到一个较高的位置，使链接文字过长时不会与面板重叠,但这只对FF有效*/}a img { width:80px; height:80px; border:none;/*去除图片边框，默认情况下，链接内的图片在标准浏览器会出现边框*/ display:block; position: absolute;/*用绝对定位抽离正常文本流，不然在设计的时候考虑到不同浏览器正常显示会更麻烦*/ top:5px;/*这里的5px是与信息面板大盒子的填充一样的*/ left:5px;}dl { width: 160px; float:right; color: #999; line-height:20px;}dl dd span { font-weight: bold; color: #639;}--&gt;&lt;/style&gt;&lt;/head&gt;&lt;body&gt;&lt;h3&gt;最新单曲&lt;/h3&gt;&lt;ul&gt;&lt;li&gt;&lt;a href="#"&gt;01 爱的文身 黄圣依&lt;div&gt;&lt;img src="http://imgcache.qq.com/music/photo/singer/54/singerpic_5554_0.jpg" alt="" /&gt;&lt;dl&gt; &lt;dd&gt;&lt;span&gt;歌名:&lt;/span&gt;爱的文身&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;歌手:&lt;/span&gt;黄圣依&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;介绍:&lt;/span&gt;黄圣依唱片主打歌的确是她个人的内心写照，《爱的文身》由香港音乐大师金培达作曲，制作人陈少琪亲自填词。&lt;/dd&gt;&lt;/dl&gt;&lt;/div&gt;&lt;/a&gt;&lt;/li&gt;&lt;li&gt;&lt;a href="#"&gt;02 累了 阿信&lt;div&gt;&lt;img src="http://imgcache.qq.com/music/photo/singer/47/singerpic_6547_0.jpg" alt="" /&gt;&lt;dl&gt; &lt;dd&gt;&lt;span&gt;歌名:&lt;/span&gt;累了&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;歌手:&lt;/span&gt;阿信&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;介绍:&lt;/span&gt;青春校园偶像剧----【熱情仲夏】片尾曲&lt;/dd&gt;&lt;/dl&gt;&lt;/div&gt;&lt;/a&gt;&lt;/li&gt;&lt;li&gt;&lt;a href="#"&gt;03 漫漫 慢慢 阿朵&lt;div&gt;&lt;img src="http://imgcache.qq.com/music/photo/singer/61/singerpic_6361_0.jpg" alt="" /&gt;&lt;dl&gt; &lt;dd&gt;&lt;span&gt;歌名:&lt;/span&gt;漫漫 慢慢&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;歌手:&lt;/span&gt;阿朵&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;介绍:&lt;/span&gt;阿朵抢听版最新单曲《漫漫 慢慢》让你认识阿朵柔情的一面，展现阿朵百变的风格。&lt;/dd&gt;&lt;/dl&gt;&lt;/div&gt;&lt;/a&gt;&lt;/li&gt;&lt;li&gt;&lt;a href="#"&gt;04 我怀念的 孙燕姿&lt;div&gt;&lt;img src="http://imgcache.qq.com/music/photo/singer/9/singerpic_109_0.jpg" alt="" /&gt;&lt;dl&gt; &lt;dd&gt;&lt;span&gt;歌名:&lt;/span&gt;我怀念的&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;歌手:&lt;/span&gt;孙燕姿&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;介绍:&lt;/span&gt;令人感同身受的抒情歌，在故事性的架构中，有着平凡但又能扣人心弦的情感，是一首高度共鸣的抒情歌。&lt;/dd&gt;&lt;/dl&gt;&lt;/div&gt;&lt;/a&gt;&lt;/li&gt;&lt;li&gt;&lt;a href="#"&gt;05 听,花期越来越近 后弦&lt;div&gt;&lt;img src="http://imgcache.qq.com/music/photo/singer/33/singerpic_4733_0.jpg" alt="" /&gt;&lt;dl&gt; &lt;dd&gt;&lt;span&gt;歌名:&lt;/span&gt;花期越来越近&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;歌手:&lt;/span&gt;后弦&lt;/dd&gt; &lt;dd&gt;&lt;span&gt;介绍:&lt;/span&gt;后弦参与《花开的声音》这个舞台剧里的一部分，邀请了后弦去演唱这首歌，此歌就是为舞台剧《花开的声音》而创作。&lt;/dd&gt;&lt;/dl&gt;&lt;/div&gt;&lt;/a&gt;&lt;/li&gt;&lt;/ul&gt;&lt;/body&gt;&lt;/html&gt;<br />解决方案八：<br />relative是相对定位。这里的相对是指相对于此元素在正常情况下在文档中的位置，而且它并未被抽离文档流。未被抽离的意思是它还对后面的元素有影响，如果被抽离了，就不会对后面的元素有影响了。话多无用，亲自动手试试就理解了。对比一下相对定位前后的位置偏移量，及相对定位时与绝对定位时后面元素的变化。<br />解决方案九：<br />我谈谈我的理解:1.首先不要用层叠这个词，容易把关系搞混2.absolute是受parentNode的position影响的 parentNode的position不是relative,那absolute的绝对对象是针对body的 parentNode的position 是relative,那absolute的绝对对象是针对parentNode的 也就是说absolute的绝对是有参照Node的3.对于复杂的position关系，要从parentNode的position的设置逐次的推下来4.relative的node的尺寸会影响parentNode的尺寸,也就是说relative即定位也占位 absolute的node的尺寸不影响parentNode的尺寸,也就是说absolute只定位不占位5.z-index只对absolute的node有效<br />解决方案十：<br />看一下这个&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt; &lt;html xmlns="http://www.w3.org/1999/xhtml"&gt; &lt;head&gt; &lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt; &lt;title&gt;Div + CSS Example, Wayhome&#039;s Blog&lt;/title&gt; &lt;style type="text/css"&gt; &lt;!-- body,td,th{font-family:Verdana;font-size:9px;} #apDiv1 {position:absolute;left:306px;top:67px;width:135px;height:106px;z-index:1;background-color: #999999;}--&gt; &lt;/style&gt;&lt;/head&gt; &lt;body&gt; &lt;div style="position:absolute; top:5px; right:20px; width:200px; height:180px; background:#00FF00;"&gt; 　position: absolute;&lt;br /&gt; 　top: 5px;&lt;br /&gt; 　right: 20px;&lt;br /&gt; 　&lt;div style="position:absolute; left:20px; bottom:10px; width:100px; height:100px; background:#00FFFF;"&gt; position: absolute;&lt;br /&gt; left: 20px;&lt;br /&gt; bottom: 10px;&lt;br /&gt; &lt;/div&gt; &lt;/div&gt; &lt;div style="position:absolute; top:5px; left:5px; width:100px; height:100px; background:#00FF00;"&gt; 　position: absolute;&lt;br /&gt; 　top: 5px;&lt;br /&gt; 　left: 5px&lt;/div&gt; &lt;div style="position:relative; left:150px; width:300px; height:50px; background:#FF9933;"&gt; 　position: relative;&lt;br /&gt; 　left: 150px;&lt;br /&gt; 　&lt;br /&gt; 　width: 300px; height: 50px; &lt;br /&gt; &lt;/div&gt; &lt;div style="text-align:center; background:#ccc;"&gt; 　　&lt;div style="margin:0 auto; width:600px; background:#FF66CC; text-align:left;"&gt; 　 &lt;p&gt;1&lt;/p&gt; 　 &lt;p&gt;2&lt;/p&gt; 　 &lt;p&gt;3&lt;/p&gt; 　 &lt;p&gt;4&lt;/p&gt; 　 &lt;p&gt;5&lt;/p&gt; 　 &lt;div style="padding:20px 0 0 20px; background:#FFFF00;"&gt; 　　　 padding: 20px 0 0 20px; 　　&lt;div style="position:absolute; width:100px; height:100px; background:#FF0000;"&gt;position: &lt;span style="color:#fff; "&gt;absolute&lt;/span&gt;;&lt;/div&gt; 　　&lt;div style="position:relative; left:200px; width:500px; height:300px; background:#FF9933;"&gt; 　　　　position: &lt;span style="color:blue;"&gt;relative&lt;/span&gt;;&lt;br /&gt; 　　 left: 200px;&lt;br /&gt; 　　 &lt;br /&gt; 　　 width: 300px;&lt;br /&gt; 　　 height: 300px;&lt;br /&gt; 　　 &lt;div style="position:absolute; top:20px; right:20px; width:100px; height:100px; background:#00FFFF;"&gt; 　　　 position: absolute;&lt;br /&gt; 　　　 top: 20px;&lt;br /&gt; 　　　 right: 20px;&lt;br /&gt;&lt;/div&gt; 　　 &lt;div style="position:absolute; bottom:20px; left:20px; width:100px; height:100px; background:#00FFFF;"&gt; 　　　 position: absolute;&lt;br /&gt; 　　bottom: 20px;&lt;br /&gt; 　　left: 20px;&lt;br /&gt; 　　&lt;/div&gt; 　　&lt;/div&gt; 　 &lt;/div&gt; 　 &lt;/div&gt; &lt;/div&gt; &lt;/body&gt; &lt;/html&gt; 本文来自: 脚本之家(www.jb51.net) 详细出处参考：http://www.jb51.net/article/13256.htm<br />解决方案十一：<br />引用不过，对于声明了这属性的本身的元素的定位呢？它自身的top，left,right,bottom有什么作用？你所讲的是relative的子元素的行为啊。我想知道它自身的一些信息。 应该是这样的，他自身的top，left。。。 将会从原来的位置偏移出去，偏移的位置就是相对于它自己原来在流里面的位置。但是其他的属性，比如margin不会随着偏移而偏移吧。。<br />解决方案十二：<br />我的理解是这样子的。如果你声明一个div的position：relative的话，就表示它的子内容如果 Position:absolute;的话，他的绝对位置就是相对他最近上一级声明了postion:relative的对象来绝对定位。否则的话就会使相对整个页面来绝对定位的。声明relative就是说你如果要绝对定位就相对我来绝对定位吧。<br />解决方案十三：<br />我也是新手，给您点资料看看，不知道能不能帮上你http://www.w3school.com.cn/tiy/t.asp?f=csse_position_relativehttp://www.w3school.com.cn/css/css_positioning.asp</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 07:50:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%85%a5%e9%97%a8%e6%8a%80%e6%9c%af/" title="入门技术">入门技术</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>请教CSS中的position:relative;的作用。的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvjn7M.html" rel="bookmark">通过设置CSS中的position属性来固定层的位置&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义和用法 position 属性规定元素的定位类型. 说明 这个属性定义建立元素布局所用的定位机制.任何元素都可以定位,不过绝对或固定元素会生成一个块级框,而不论该元素本身是什么类型.相对定位元素会相对于它在正常流中的默认位置偏移. 默认值: static 继承性: no 版本: CSS2 JavaScript 语法: object.style.position=&quot;absolute&quot; 实例 定位 h2 元素: h2 { position:absolute; left:100px; t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGoq3z.html" rel="bookmark">认识CSS中absolute与relative</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css 很多朋友问过我absolute与relative怎么区分,怎么用?我们都知道absolute是绝对定位,relative是相对定位,但是这个绝对与相对是什么意思呢?绝对是什么地方的绝对,相对又是相对于什么地方而言的呢?那他们又有什么样的特性,可以做出什么样的效果呢?关于两者之间又有什么样的技巧呢?下面我们就来一一解读. Absolute,CSS中的写法是:position:absolute; 他的意思是绝对定位,他是参照浏览器的左上角,配合TOP.RIGHT.BOTTOM.LEFT(下面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAQy62M.html" rel="bookmark">CSS中定位position</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				毋庸置疑的是,pisition是css中是最重要的属性之一. 一共有四种定位方式,static.relative.absolute.fixed. 默认的定位方式static 页面中所有的元素默认都是static的.静态定位意味着所有的元素都以代码顺序定位在页面上.块元素显示在块元素下面,行元素显示在行元素后面. Relative positioning 设置定位为relative并不会在页面的现实上有太大的不同.但可以区别于普通定位方式,使用top.left.bottom.right的CSS属性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5WG2Rb.html" rel="bookmark">Css中td表格relative设置失效的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.直接在你级table上设置 position:relative;   2.在FF中position:relative要与display:block/inline-block才能生效, display:block/inline-block可以是默认块元素,或是被定义的元素   3.在IE中position:relative除了与display:block/inline-block可以生效外,与display:table-cell.table等都可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxoPDyb.html" rel="bookmark">IE局部滚动条中元素position&colon;relative或绝对定位滚动无效BUG</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用的样式与结构如下 .box{width:300px;height:200px;overflow-x:hidden;overflow-y:auto;} .box ul li{text-align:left;position:relative;line-height:1.3em;} .box ul li span{position:absolute;right:5px;top:0;} &lt;div class=&quot;box&quot;&gt;     &lt;ul&gt;     &lt;li&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRmXaz.html" rel="bookmark">深入理解css中的position定位和z-index属性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于平时不太用到,所以过去写css的时候对于position属性的absolute. relative值理解比较模糊,对于z-index的层叠更是摸不着头脑,除了理解的因素外,各个浏览器的不同解析结果也是一个大问题.今天仔细阅读了一下css文档,总算是对盒模型的浮动.定位有了比较深刻的理解. 我们在实践中很有可能遇到这样的问题: 1.做一个横向导航,然后鼠标经过之后出现下拉菜单,那么这个下拉菜单的位置控制就是一个关键: 2.我们想在一个正常的页面布局中放入几个浮在页面上的气泡提示,这时既不想让气			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3R5yp.html" rel="bookmark">推荐深入理解css中的position定位和z-index属性&lowbar;经验交流</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者:Cutsin 原文地址:http://www.moonless.net/blog/2007/09/csspositionz-index.html 注:本文仅供交流使用,如有不当之处欢迎批评指正,但请注明详由,谢谢! 由于平时不太用到,所以过去写css的时候对于position属性的absolute.relative值理解比较模糊,对于z-index的层叠更是摸不着头脑,除了理解的因素外,各个浏览器的不同解析结果也是一个大问题.今天仔细阅读了一下css文档,总算是对盒模型的浮动.定位有了比较			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXxlK4p.html" rel="bookmark">css中position&colon;fixed实现div居中</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上下左右 居中  代码如下 复制代码 div{     position:fixed;     margin:auto;     left:0;     right:0;     top:0;     bottom:0;     width:200px;     height:150px; } 如果只需要左右居中,那么把 bottom:0; 或者 top:0; 删掉即可 如果只需要上下居中,那么把 left:0; 或者 right:0; 即可 下面附一个DIV 元素在浏览器窗口居中 其实,实现这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zePvnjp.html" rel="bookmark">CSS中position属性之fixed实现div居中&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				position 属性规定元素的定位类型.这个属性定义建立元素布局所用的定位机制.任何元素都可以定位,不过绝对或固定元素会生成一个块级框,而不论该元素本身是什么类型.相对定位元素会相对于它在正常流中的默认位置偏移. 上下左右 居中 div{ position:fixed; margin:auto; left:0; right:0; top:0; bottom:0; width:200px; height:150px; } 如果只需要左右居中,那么把 bottom:0; 或者 top:0; 删掉即			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPPD0p.html" rel="bookmark" class="title">360极速浏览器的下载安装</a>
					<div>
						1.访问 360极速浏览器首页. 2.点击免费下载,从这里下载安装程序文件可确保能够获得更新内容和安全修复程序,还能了解本浏览器的所有功能. 3.双击下载的360浏览器安装程序进行安装. 4.安装完后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8Yv3z.html" rel="bookmark" class="title">Photoshop制作金属纹理立体字教程</a>
					<div>
						PS自带的3D工具可以做出非常不错的立体字,不过纹理部分处理还是不够自然,尤其是转角处的纹理过渡不够自然.用手工的方法可以解决这个纹理,尤其是纹理部分可以自己按照笔画的弧度任意变形以适合个性化文字 . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlLoYM.html" rel="bookmark" class="title">对Bitmap的内存优化</a>
					<div>
						在Android应用里,最耗费内存的就是图片资源.而且在Android系统中,读取位图Bitmap时,分给虚拟机中的图片的堆栈大小只有8M,如果超出了,就会出现OutOfMemory异常.所以,对于图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqaLaM.html" rel="bookmark" class="title">链接</a>
					<div>
						链接 链接可说是HTML中最重要的功能!因为HTML拥有链接的功能,使你能接上INTERNET.WWW --享受多姿多彩的网络世界. 基本上链接分成 : 外部链接 --链接至网络的某个URL网址或文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxN3jz.html" rel="bookmark" class="title">分享做英文企业站优化的思路</a>
					<div>
						大家好,我是老男孩SEO工作室的石头,在企业站优化订单中大部分都是中文网站,也就是我们所说的百度优化,不过也有少量的英文企业站订单,这部分客户要做谷歌优化.例如:一些做汽配的企业网站,一般都会有中英文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw1VmM.html" rel="bookmark" class="title">让你同时上传 1000 个文件</a>
					<div>
						上传 预备知识:Javascript, PHP(少量)/Perl(少量)! 测试环境:Windows2000 + IIS5 + PHP (Win98 + PWS + PHP3 失败,估计是配置出了问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ2eKM.html" rel="bookmark" class="title">面对百度再次出击 站长如何坚守阵地</a>
					<div>
						百度作为国内的一大搜索引擎,其用户使用率一直是居高不下,站长也将百度作为了国内的第一发展方向,而就在今天晚上我上百度搜了一个词&quot;SEO&quot;其得到的结果却并不让我满意,而且这个结果对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Ov4z.html" rel="bookmark" class="title">用Photoshop制作创意导航菜单</a>
					<div>
						最终效果: 1.打开一幅素材为手的图片,用PS把手从图片中扣出. 2.创建一个新的图层,使用椭圆选区工具画一个圆形,将图新层放到手图层下面并进行填充. 3.复制该圆形图层,按比例进行放大,并放到第一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPYAOM.html" rel="bookmark" class="title">三步提速</a>
					<div>
						为了领略Windows Server 2008系统强大的功能,不少朋友纷纷在自己的旧计算机中强行进行系统升级,以便让自己也能成为Windows Server 2008系统用户的一员;可是谁曾想到,在新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A99qp.html" rel="bookmark" class="title">从SQL Server2000升级到2005的方法</a>
					<div>
						如果你计划将数据库从SQL Server 2000 升级到 SQL Server 2005.你在升级之前一定会测试每样东西,并且证明应用程序是稳定的.即使这样,如果升级之后发生任何问题的话,你仍然会想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOkLkb.html" rel="bookmark" class="title">Linq学习&lpar;3&rpar; 语法结构</a>
					<div>
						Linq 语法结构 (来自Linq in action) 举个例子实现: 查询以a开头的字符串,按降序输出. C#代码: string[] list = { &quot;adobe&quot;, &q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pyl7M.html" rel="bookmark" class="title">wps表格怎样对数据排序</a>
					<div>
						  wps表格对数据排序的方法: 打开点击新建按钮,新建一个表格文件 创建完成后开始录入数据 录入完成后点击第一竖排的A,选中要排序的第一竖排数据 然后在工具栏找到并选中数据编辑工具栏 点击数据栏下的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrD7Jp.html" rel="bookmark" class="title">javascript中一些util方法汇总</a>
					<div>
						 javascript中一些util方法汇总 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWlqnp.html" rel="bookmark" class="title">怎样将IE固定到&OpenCurlyDoubleQuote;开始&rdquo;屏幕和任务栏</a>
					<div>
						  1.在&quot;开始&quot;屏幕上,从屏幕右边缘向中间轻扫,然后点击&quot;搜索&quot;. (如果使用鼠标,请指向屏幕右上角,然后单击&quot;搜索&quot;.) 2.输入&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr334Vp.html" rel="bookmark" class="title">JavaScript Sort 的一个错误用法示例</a>
					<div>
						 这篇文章主要介绍了JavaScript Sort 的一个错误用法示例,本文分析了一个Sort实例得到了这个错误用法并给出了解决方法,需要的朋友可以参考下     前不久同事的代码中出了一个很神奇的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxW8YRb.html" rel="bookmark" class="title">CEO、CFO、CTO、COO是什么意思？</a>
					<div>
						  CEO.CFO.CTO.COO是什么意思? CXO是现代公司制度下的产物,是所有权与经营权相分离的一种制度表现形式,CXO中的&quot;X&quot;是一种代称,代表公司里的一种特定职务.其中C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eBELb.html" rel="bookmark" class="title">cmd命令进入d盘文件夹</a>
					<div>
						  d: cdxue51 没错就二条命令,第一条是转到D盘 第二上就是进入xue51文件夹下面 其实cd这个命令还有很多用法,例如: cd.. 返回上一层,有些版本还可以这样写cd...返回上上一层文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o0xWb.html" rel="bookmark" class="title">svg文件怎么打开&quest;</a>
					<div>
						  svg文件怎么打开?由于svg是矢量图文件,一般的图片查看工具无法打开,使用Adobe Illustrator可以查看而且能够再次编辑svg文件,还能导出保存为svg或其他格式的文件.svg文件还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXrPXp.html" rel="bookmark" class="title">vc&plus;&plus;-VC编程中提取源程序代码应用另一个程序</a>
					<div>
						问题描述 VC编程中提取源程序代码应用另一个程序 请问各位大神,现在我有一段VC二维码识别程序的源代码,如何将其提取并编译成一个新的程序,满足从指定位置访问图片文件,输出识别信息?求指导. 在VC编程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWVyop.html" rel="bookmark" class="title">异常-Kinect2&period;0 调用 VGB创建的&period;gbd文件时出错</a>
					<div>
						问题描述 Kinect2.0 调用 VGB创建的.gbd文件时出错 运行Kinect browser 自带程序DiscreteGeatureBasics时,把里面的seated.gbd换成自己录制生成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWkZ6p.html" rel="bookmark" class="title">图片-怎样设置easyUI必填项的颜色</a>
					<div>
						问题描述 怎样设置easyUI必填项的颜色 如上图 怎样把粉红色去掉或者改变??求指教 解决方案 你可以这样做,制作imag,然后将图片的背景加进去,如果将inputField做成prefabs,那样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1RNNb.html" rel="bookmark" class="title">深度推荐：创业团队为什么要选择Oracle而不是MySQL？</a>
					<div>
						『创业团队最佳选择是Oracle+MongoDB,而不是MySQL』,当深蓝在QQ群里抛出这样的观点的时候,就像是在马蜂窝里丢了一串鞭炮一样热闹起来.     创业者甲: 开什么玩笑,Oracle要收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Pa4qp.html" rel="bookmark" class="title">使用 Linux 瘦客户机实现云计算--基于 Linux 的云计算系统有益于用户和环境</a>
					<div>
						从 Linux® 的角度探讨云计算,并发现一些最新颖.最流行的基于 Linux 的解决方案 -- 特别关注一些可以带来环境效益的选择. 我们已经在大量场合中从不同的角度讨论了云计算.对于嵌入式 Lin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvryYWM.html" rel="bookmark" class="title">关于c&plus;&plus;中默认拷贝构造函数的理解</a>
					<div>
						问题描述 关于c++中默认拷贝构造函数的理解 如题,请解释一次详细的原理 假如我定义一个类的对象a,然后在没有自己编写构造函数的情况下用语句A b=a来初始化新的对象b,会发生什么,为什么? 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKR8rz.html" rel="bookmark" class="title">电视盒子  BAT们尝试电影娱乐互联网化的新玩具？</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 互联网上的视频平台基本被BAT分家,处在分水岭上的电影娱乐行业一半是海水,一半是火焰.传统渠道与移动互联网两面夹击之下,电视盒子正在与电视划清界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY54Y6M.html" rel="bookmark" class="title">请教，sql能不能设置一列，自动统计另一张表每个数据的个数？</a>
					<div>
						问题描述 请教,sql能不能设置一列,自动统计另一张表每个数据的个数? 请教,sql能不能设置一列,自动统计另一张表每个数据的个数? 例如: 表a id(部门),zw(职务),name(姓名) 人力部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rABdp.html" rel="bookmark" class="title">金和软件金融保险行业信息化解决方案</a>
					<div>
						行业特征与需求 随着中国进入WTO后,国内金融保险行业迅速发展,国外金融保险机构也加速了进入中国市场的步伐,加上人们对金融保险的意识的逐步增强.日益膨大的市场份额,加速了众多金融保险公司之间的竞争.随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDR38z.html" rel="bookmark" class="title">JDK1&period;4&plus;Tomcat5&period;5 WEB 电子杂志</a>
					<div>
						flash文件直接用的Flash Page Flip,但依然需要修改很多fla源文件才能为我所用(包括汉化,字体嵌入,中文影片剪辑的处理,菜单栏的自定义等),需要对ActionScript有一定的了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqXG5z.html" rel="bookmark" class="title">jQuery替换节点用法示例&lpar;使用replaceWith方法&rpar;&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery替换节点的方法.分享给大家供大家参考,具体如下: &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Ty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRPYep.html" rel="bookmark" class="title">串口通信-vc&plus;&plus;串口上位机串口设置</a>
					<div>
						问题描述 vc++串口上位机串口设置 串口打开时,选择了一个无效的串口号后,怎么令串口按钮关闭.如图 图1是串口正常打开,图二是选择无效端口号后串口按钮的变化(串口关闭).请问是如何实现的?非常感谢! ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
